%define Name Erlang
%define bname erlang
%define brelease alt1
Name: %bname-man
%define ver R14B
%define subver 2
Version: %ver.%subver
Release: %brelease.2
Summary: A programming language developed by Ericsson
License: EPL
Group: Documentation
URL: http://www.%bname.org
Source: otp_doc_man_%ver-%subver.tar
Patch0: otp_doc_man-%ver-%subver-tuples.patch
Patch1: otp_doc_man-%ver-%subver-mnesia_ext.patch
BuildArch: noarch
Conflicts: %bname-manpages < R11B.4-alt0.1
Conflicts: %bname < %version-%brelease
Provides: %bname-manpages = %version-%release
Packager:  Sergey Shilov <hsv@altlinux.org>

BuildRequires(pre): rpm-macros-erlang

%description
%Name is a programming language developed at Ericsson Computer Science
Laboratory. %Name provides many features which are more commonly
associated with an operating system: concurrent processes, scheduling,
memory management, distribution, networking, etc.
This package contains man pages for %Name.


%prep
%setup -c
%patch0 -p1
%patch1 -p1


%install
install -d -m 0755 %buildroot{%_man1dir,%_man3dir,%_man4dir,%_man6dir,%_man7dir,%_erlmandir/man{1,3,4,6,7}}
for n in 1 3 4 6 7; do
    install -m 0644 man/man$n/* %buildroot%_erlmandir/man$n/
done
ln -sf %buildroot%_erlmandir/man1/* %buildroot%_man1dir/
for f in %buildroot%_erlmandir/man3/*; do
    ln -sf $f %buildroot%_man3dir/$(basename $f)erl
done
ln -sf %buildroot%_erlmandir/man4/* %buildroot%_man4dir/
ln -sf %buildroot%_erlmandir/man6/* %buildroot%_man6dir/
ln -sf %buildroot%_erlmandir/man7/* %buildroot%_man7dir/


%files
%dir %_erldir
%dir %_erlmandir
%dir %_erlmandir/man1
%dir %_erlmandir/man3
%dir %_erlmandir/man4
%dir %_erlmandir/man6
%dir %_erlmandir/man7
%_erlmandir/man1/*
%_erlmandir/man3/*
%_erlmandir/man4/*
%_erlmandir/man6/*
%_erlmandir/man7/*
%_man1dir/*
%_man3dir/*
%_man4dir/*
%_man6dir/*
%_man7dir/*


%changelog
* Fri Mar 18 2011 Sergey Shilov <hsv@altlinux.org> R14B.2-alt1.2
- fix erlang version conflict.

* Fri Mar 18 2011 Sergey Shilov <hsv@altlinux.org> R14B.2-alt1.1
- fix file conflicts between attempted installs of erlang-man and erlang-doc-common.

* Thu Mar 17 2011 Sergey Shilov <hsv@altlinux.org> R14B.2-alt1
- R14B02

* Thu Jan 27 2011 Sergey Shilov <hsv@altlinux.org> R14B.1-alt1
- R14B01

* Mon Apr 19 2010 Sergey Shilov <hsv@altlinux.org> R13B.4-alt1
- R13B04

* Sat Jan 17 2009 Led <led@altlinux.ru> R12B.5-alt3
- cleaned up erlang.3
- added tuples.3
- added mnesia_ext.3

* Tue Dec 30 2008 Led <led@altlinux.ru> R12B.5-alt2
- added BIFs erlang:delete_element/2, erlang:insert_element/3

* Thu Nov 13 2008 Led <led@altlinux.ru> R12B.5-alt1
- R12B-5

* Thu Nov 06 2008 Led <led@altlinux.ru> R12B.4-alt2
- fixed URL
- fixed spec

* Thu Sep 04 2008 Led <led@altlinux.ru> R12B.4-alt1
- R12B-4

* Fri Aug 15 2008 Led <led@altlinux.ru> R12B.3-alt1
- R12B-3

* Sat Jun 14 2008 Led <led@altlinux.ru> R11B.5-alt1
- moved %%_mandir/man3erl/* to %%_man3dir/*erl

* Wed Sep 05 2007 Led <led@altlinux.ru> R11B.5-alt0.3
- added %_mandir/man3erl link

* Mon Jul 02 2007 Led <led@altlinux.ru> R11B.5-alt0.2
- removed man3 conflict symlinks

* Tue Jun 26 2007 Led <led@altlinux.ru> R11B.5-alt0.1
- R11B-5

* Wed Jun 06 2007 Led <led@altlinux.ru> R11B.4-alt0.1
- initial build
